#include <stdio.h>
#include <assert.h>
#include "readline.h"
#include "dlist.h"

// liest alle Zeilen ein in eine Liste ein und gibt sie dann wieder aus (wie cat)
int main() {
    
    char* line;
    dlist_el* first = 0;
    dlist_el* last = 0;
    
    while ((line = readline(stdin))) {
        dlist_el* newel = create_dlist_el(line);
        if (!last) {
            first = newel;
        }
        else {
            connect(last, newel);
        }
        last = newel;
    }

    for(dlist_el* el = first; el; el=el->next) {
        printf("%s\n",el->str);
    }
    
}